Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class DoubleListUIBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean
                  org.apache.struts2.components.DoubleListUIBean

Direct Known Subclasses:
  DoubleSelect, OptionTransferSelect

    public abstract class DoubleListUIBean

extends ListUIBean

DoubleListUIBean is the standard superclass of all Struts double list handling components.

Note that the doublelistkey and doublelistvalue attribute will default to "key" and "value" respectively only when the doublelist attribute is evaluated to a Map or its decendant. Other thing else, will result in doublelistkey and doublelistvalue to be null and not used.

Field Summary
`protected String` | `doubleAccesskey`
`protected String` | `doubleCssClass`
`protected String` | `doubleCssStyle`
`protected String` | `doubleDisabled`
`protected String` | `doubleEmptyOption`
`protected String` | `doubleHeaderKey`
`protected String` | `doubleHeaderValue`
`protected String` | `doubleId`
`protected String` | `doubleList`
`protected String` | `doubleListCssClass`
`protected String` | `doubleListCssStyle`
`protected String` | `doubleListKey`
`protected String` | `doubleListTitle`
`protected String` | `doubleListValue`
`protected String` | `doubleMultiple`
`protected String` | `doubleName`
`protected String` | `doubleOnblur`
`protected String` | `doubleOnchange`
`protected String` | `doubleOnclick`
`protected String` | `doubleOndblclick`
`protected String` | `doubleOnfocus`
`protected String` | `doubleOnkeydown`
`protected String` | `doubleOnkeypress`
`protected String` | `doubleOnkeyup`
`protected String` | `doubleOnmousedown`
`protected String` | `doubleOnmousemove`
`protected String` | `doubleOnmouseout`
`protected String` | `doubleOnmouseover`
`protected String` | `doubleOnmouseup`
`protected String` | `doubleOnselect`
`protected String` | `doubleSize`
`protected String` | `doubleValue`
`protected String` | `emptyOption`
`protected String` | `formName`
`protected String` | `headerKey`
`protected String` | `headerValue`
`protected String` | `multiple`
`protected String` | `size`

Fields inherited from class org.apache.struts2.components.ListUIBean
`list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey, throwExceptionOnNullValueAttribute`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiThemeExpansionToken, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`DoubleListUIBean(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`String` | `getDoubleCssClass()`
`String` | `getDoubleCssStyle()`
`String` | `getDoubleDisabled()`
`String` | `getDoubleEmptyOption()`
`String` | `getDoubleHeaderKey()`
`String` | `getDoubleHeaderValue()`
`String` | `getDoubleId()`
`String` | `getDoubleList()`
`String` | `getDoubleListKey()`
`String` | `getDoubleListValue()`
`String` | `getDoubleMultiple()`
`String` | `getDoubleName()`
`String` | `getDoubleOnblur()`
`String` | `getDoubleOnchange()`
`String` | `getDoubleOnclick()`
`String` | `getDoubleOndblclick()`
`String` | `getDoubleOnfocus()`
`String` | `getDoubleOnkeydown()`
`String` | `getDoubleOnkeypress()`
`String` | `getDoubleOnkeyup()`
`String` | `getDoubleOnmousedown()`
`String` | `getDoubleOnmousemove()`
`String` | `getDoubleOnmouseout()`
`String` | `getDoubleOnmouseover()`
`String` | `getDoubleOnmouseup()`
`String` | `getDoubleOnselect()`
`String` | `getDoubleSize()`
`String` | `getDoubleValue()`
`String` | `getFormName()`
`void` | `setDoubleAccesskey(String doubleAccesskey)`
`void` | `setDoubleCssClass(String doubleCssClass)`
`void` | `setDoubleCssStyle(String doubleCssStyle)`
`void` | `setDoubleDisabled(String doubleDisabled)`
`void` | `setDoubleEmptyOption(String doubleEmptyOption)`
`void` | `setDoubleHeaderKey(String doubleHeaderKey)`
`void` | `setDoubleHeaderValue(String doubleHeaderValue)`
`void` | `setDoubleId(String doubleId)`
`void` | `setDoubleList(String doubleList)`
`void` | `setDoubleListCssClass(String doubleListCssClass)`
`void` | `setDoubleListCssStyle(String doubleListCssStyle)`
`void` | `setDoubleListKey(String doubleListKey)`
`void` | `setDoubleListTitle(String doubleListTitle)`
`void` | `setDoubleListValue(String doubleListValue)`
`void` | `setDoubleMultiple(String doubleMultiple)`
`void` | `setDoubleName(String doubleName)`
`void` | `setDoubleOnblur(String doubleOnblur)`
`void` | `setDoubleOnchange(String doubleOnchange)`
`void` | `setDoubleOnclick(String doubleOnclick)`
`void` | `setDoubleOndblclick(String doubleOndblclick)`
`void` | `setDoubleOnfocus(String doubleOnfocus)`
`void` | `setDoubleOnkeydown(String doubleOnkeydown)`
`void` | `setDoubleOnkeypress(String doubleOnkeypress)`
`void` | `setDoubleOnkeyup(String doubleOnkeyup)`
`void` | `setDoubleOnmousedown(String doubleOnmousedown)`
`void` | `setDoubleOnmousemove(String doubleOnmousemove)`
`void` | `setDoubleOnmouseout(String doubleOnmouseout)`
`void` | `setDoubleOnmouseover(String doubleOnmouseover)`
`void` | `setDoubleOnmouseup(String doubleOnmouseup)`
`void` | `setDoubleOnselect(String doubleOnselect)`
`void` | `setDoubleSize(String doubleSize)`
`void` | `setDoubleValue(String doubleValue)`
`void` | `setEmptyOption(String emptyOption)`
`void` | `setFormName(String formName)`
`void` | `setHeaderKey(String headerKey)`
`void` | `setHeaderValue(String headerValue)`
`void` | `setMultiple(String multiple)`
`void` | `setSize(String size)`

Methods inherited from class org.apache.struts2.components.ListUIBean
`contains, getValueClassType, setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey, setThrowExceptionOnNullValueAttribute`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emptyOption

    protected String emptyOption

### headerKey

    protected String headerKey

### headerValue

    protected String headerValue

### multiple

    protected String multiple

### size

    protected String size

### doubleList

    protected String doubleList

### doubleListKey

    protected String doubleListKey

### doubleListValue

    protected String doubleListValue

### doubleListCssClass

    protected String doubleListCssClass

### doubleListCssStyle

    protected String doubleListCssStyle

### doubleListTitle

    protected String doubleListTitle

### doubleName

    protected String doubleName

### doubleValue

    protected String doubleValue

### formName

    protected String formName

### doubleId

    protected String doubleId

### doubleDisabled

    protected String doubleDisabled

### doubleMultiple

    protected String doubleMultiple

### doubleSize

    protected String doubleSize

### doubleHeaderKey

    protected String doubleHeaderKey

### doubleHeaderValue

    protected String doubleHeaderValue

### doubleEmptyOption

    protected String doubleEmptyOption

### doubleCssClass

    protected String doubleCssClass

### doubleCssStyle

    protected String doubleCssStyle

### doubleOnclick

    protected String doubleOnclick

### doubleOndblclick

    protected String doubleOndblclick

### doubleOnmousedown

    protected String doubleOnmousedown

### doubleOnmouseup

    protected String doubleOnmouseup

### doubleOnmouseover

    protected String doubleOnmouseover

### doubleOnmousemove

    protected String doubleOnmousemove

### doubleOnmouseout

    protected String doubleOnmouseout

### doubleOnfocus

    protected String doubleOnfocus

### doubleOnblur

    protected String doubleOnblur

### doubleOnkeypress

    protected String doubleOnkeypress

### doubleOnkeydown

    protected String doubleOnkeydown

### doubleOnkeyup

    protected String doubleOnkeyup

### doubleOnselect

    protected String doubleOnselect

### doubleOnchange

    protected String doubleOnchange

### doubleAccesskey

    protected String doubleAccesskey

Constructor Detail

### DoubleListUIBean

    public DoubleListUIBean(ValueStack stack,
                            javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `ListUIBean`

### setDoubleList

    public void setDoubleList(String doubleList)

### setDoubleListKey

    public void setDoubleListKey(String doubleListKey)

### setDoubleListValue

    public void setDoubleListValue(String doubleListValue)

### setDoubleListCssClass

    public void setDoubleListCssClass(String doubleListCssClass)

### setDoubleListCssStyle

    public void setDoubleListCssStyle(String doubleListCssStyle)

### setDoubleListTitle

    public void setDoubleListTitle(String doubleListTitle)

### setDoubleName

    public void setDoubleName(String doubleName)

### setDoubleValue

    public void setDoubleValue(String doubleValue)

### setFormName

    public void setFormName(String formName)

### getFormName

    public String getFormName()

### setDoubleCssClass

    public void setDoubleCssClass(String doubleCssClass)

### getDoubleCssClass

    public String getDoubleCssClass()

### setDoubleCssStyle

    public void setDoubleCssStyle(String doubleCssStyle)

### getDoubleCssStyle

    public String getDoubleCssStyle()

### setDoubleHeaderKey

    public void setDoubleHeaderKey(String doubleHeaderKey)

### getDoubleHeaderKey

    public String getDoubleHeaderKey()

### setDoubleHeaderValue

    public void setDoubleHeaderValue(String doubleHeaderValue)

### getDoubleHeaderValue

    public String getDoubleHeaderValue()

### setDoubleEmptyOption

    public void setDoubleEmptyOption(String doubleEmptyOption)

### getDoubleEmptyOption

    public String getDoubleEmptyOption()

### getDoubleDisabled

    public String getDoubleDisabled()

### setDoubleDisabled

    public void setDoubleDisabled(String doubleDisabled)

### getDoubleId

    public String getDoubleId()

### setDoubleId

    public void setDoubleId(String doubleId)

### getDoubleMultiple

    public String getDoubleMultiple()

### setDoubleMultiple

    public void setDoubleMultiple(String doubleMultiple)

### getDoubleOnblur

    public String getDoubleOnblur()

### setDoubleOnblur

    public void setDoubleOnblur(String doubleOnblur)

### getDoubleOnchange

    public String getDoubleOnchange()

### setDoubleOnchange

    public void setDoubleOnchange(String doubleOnchange)

### getDoubleOnclick

    public String getDoubleOnclick()

### setDoubleOnclick

    public void setDoubleOnclick(String doubleOnclick)

### getDoubleOndblclick

    public String getDoubleOndblclick()

### setDoubleOndblclick

    public void setDoubleOndblclick(String doubleOndblclick)

### getDoubleOnfocus

    public String getDoubleOnfocus()

### setDoubleOnfocus

    public void setDoubleOnfocus(String doubleOnfocus)

### getDoubleOnkeydown

    public String getDoubleOnkeydown()

### setDoubleOnkeydown

    public void setDoubleOnkeydown(String doubleOnkeydown)

### getDoubleOnkeypress

    public String getDoubleOnkeypress()

### setDoubleOnkeypress

    public void setDoubleOnkeypress(String doubleOnkeypress)

### getDoubleOnkeyup

    public String getDoubleOnkeyup()

### setDoubleOnkeyup

    public void setDoubleOnkeyup(String doubleOnkeyup)

### getDoubleOnmousedown

    public String getDoubleOnmousedown()

### setDoubleOnmousedown

    public void setDoubleOnmousedown(String doubleOnmousedown)

### getDoubleOnmousemove

    public String getDoubleOnmousemove()

### setDoubleOnmousemove

    public void setDoubleOnmousemove(String doubleOnmousemove)

### getDoubleOnmouseout

    public String getDoubleOnmouseout()

### setDoubleOnmouseout

    public void setDoubleOnmouseout(String doubleOnmouseout)

### getDoubleOnmouseover

    public String getDoubleOnmouseover()

### setDoubleOnmouseover

    public void setDoubleOnmouseover(String doubleOnmouseover)

### getDoubleOnmouseup

    public String getDoubleOnmouseup()

### setDoubleOnmouseup

    public void setDoubleOnmouseup(String doubleOnmouseup)

### getDoubleOnselect

    public String getDoubleOnselect()

### setDoubleOnselect

    public void setDoubleOnselect(String doubleOnselect)

### getDoubleSize

    public String getDoubleSize()

### setDoubleSize

    public void setDoubleSize(String doubleSize)

### getDoubleList

    public String getDoubleList()

### getDoubleListKey

    public String getDoubleListKey()

### getDoubleListValue

    public String getDoubleListValue()

### getDoubleName

    public String getDoubleName()

### getDoubleValue

    public String getDoubleValue()

### setEmptyOption

    public void setEmptyOption(String emptyOption)

### setHeaderKey

    public void setHeaderKey(String headerKey)

### setHeaderValue

    public void setHeaderValue(String headerValue)

### setMultiple

    public void setMultiple(String multiple)

### setSize

    public void setSize(String size)

### setDoubleAccesskey

    public void setDoubleAccesskey(String doubleAccesskey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.